import {
  select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  axisLeft,
  axisBottom,
  format
} from 'd3';



const svg = select('svg');


d3.csv('https://gist.githubusercontent.com/Platoch/67fdb69375a898cb864792cfefeb01f4/raw/6cdc57283eb3bf9b658a011d3df117bb6a6a3191/Iris.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'SepalLength'), y: unpack(rows, 'SepalWidth'), z: unpack(rows, 'PetalLength'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};


var data = [trace1];
var layout = {margin: {
	l: 10,
	r: 10,
	b: 10,
	t: 10
  }};
Plotly.newPlot('myDiv', data, layout);
});
